Skip to content

Events GET

URL: https://api.painelalter.com/api/events?dateBegin=2020-10-02&dateEnd=2020-10-03&storeId=3&eventType=1

Retrieves all flow events between two dates.

Returns a JSON containing a list of all event timestamps in ISO 8601 format.

Query Parameters

ParameterDescription
dateBeginStart date. Format YYYY-MM-DD (Inclusive)
dateEndEnd date. Format YYYY-MM-DD (Inclusive)
storeIdID of the store to be retrieved
eventTypeID of the event type to be retrieved (1 = entry flow)

Event Type IDs Table

EventTypeDescription
1Entry Flow
2Exit Flow
3Checkout Stop
4External Flow Left
5External Flow Right

Response Example

json
[
  {
    "timestamp": "2020-10-02T07:28:00-03:00"
  },
  {
    "timestamp": "2020-10-02T07:28:06-03:00"
  },
  {
    "timestamp": "2020-10-02T08:40:56-03:00"
  },
  {
    "timestamp": "2020-10-02T08:40:58-03:00"
  },
  {
    "timestamp": "2020-10-02T08:41:01-03:00"
  },
  {
    "timestamp": "2020-10-02T08:41:05-03:00"
  }
]